# Payment Instruments

This object represents a payment method (e.g. bank account, credit card, debit card, etc.) belonging to a borrower.


## Get payment instruments

 - [GET /people/{personId}/payment-instruments](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_get_all.md)

## Create payment instrument

 - [POST /people/{personId}/payment-instruments](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_create.md): Create a payment instrument.

When creating a payment instrument using the Plaid Account option, two flows are supported:

1) Pass only accessToken and accountIds. This will create a payment instrument with status=inactive.
You can then use Update payment instrument
endpoint to set the accountHolderType, and accountHolderName fields, and set the status to active.

2) Pass the required fields as well as accountHolderType, and accountHolderName. This will create a payment
instrument with status=active. The payment instrument will then be ready to use.

Note: This endpoint returns an array containing a single payment instrument to allow future support for Plaid multi-account select.

## Delete payment instrument

 - [DELETE /people/{personId}/payment-instruments/{paymentInstrumentId}](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_delete.md)

## Get payment instrument by ID

 - [GET /people/{personId}/payment-instruments/{paymentInstrumentId}](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_get.md)

## Update payment instrument

 - [PUT /people/{personId}/payment-instruments/{paymentInstrumentId}](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_update.md)

## Delete account link

 - [DELETE /people/{personId}/payment-instruments/{paymentInstrumentId}/account-link](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.account_link_delete.md): Retrieve the data vendor link details for this payment instrument.

## Create account link

 - [POST /people/{personId}/payment-instruments/{paymentInstrumentId}/account-link](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.account_link_post.md): Add a data vendor link for this payment instrument. If one is already present, it is replaced.

## Update account link

 - [PUT /people/{personId}/payment-instruments/{paymentInstrumentId}/account-link](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.account_link_put.md): Update record keeping details about the account link. This can not be used to set up a new account link.

## Get balance data

 - [GET /people/{personId}/payment-instruments/{paymentInstrumentId}/balance](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.balances_get.md): Get stored balance data for the account associated with the payment instrument.

## Refresh balance data

 - [POST /people/{personId}/payment-instruments/{paymentInstrumentId}/balance](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.balances_post.md): Fetch updated balance data from the account link associated with this payment instrument.

## Verify amounts of microdeposits

 - [POST /people/{personId}/payment-instruments/{paymentInstrumentId}/verify](https://docs.peachfinance.com/api-docs/api-public/payment-instruments/peach.payment_instruments.handlers.person_payment_instrument_verify.md)

